(mandriva,eclipse) ruby debug gem installation fails


#1

hello,

I have a problem while installing a gem for the debugging with eclipse.
I’m on mandriva 2009, here is the error message:


[root@localhost lolveley]# gem install ruby-debug
Bulk updating Gem source index for: http://gems.rubyforge.org
Building native extensions. This could take a while…
ERROR: Error installing ruby-debug:
ERROR: Failed to build gem native extension.

/usr/bin/ruby extconf.rb install ruby-debug
mkmf.rb can’t find header files for ruby at /usr/lib/ruby/ruby.h

Gem files will remain installed in
/usr/lib/ruby/gems/1.8/gems/linecache-0.43 for inspection.
Results logged to
/usr/lib/ruby/gems/1.8/gems/linecache-0.43/ext/gem_make.out


do you know from where it is coming?

lolveley.


#2

Olivier L. wrote:

ERROR: Failed to build gem native extension.


do you know from where it is coming?

lolveley.

You need the Ruby header files:
sudo urpmi ruby-dev

-Justin


#3

well, it doesn’t work.
not exactly.

indeed, I have the package ruby-devel in the package manager, but with
the version 1.8.xx, but what I want is a ruby-debug 1.9.xx, and with
this ruby-debug comes ruby-devel-1.9.xx (I suppose actually).

but impossible to find ruby-devel-1.9.xx …

thanks anyway, another idea?

olivier.


#4

stop searching!

it works!
I kept the ruby-devel-1.8.xx.rpm and installed the gem ruby-debug, and
made some tests : all works fine.

thank you,

olivier.